Compiz intercepts alert sound from gnome-terminal

Bug #537703 reported by pablomme
186
This bug affects 39 people
Affects Status Importance Assigned to Milestone
Compiz
Won't Fix
Medium
Unassigned
compiz (Ubuntu)
Won't Fix
Medium
Unassigned

Bug Description

Binary package hint: compiz

This is with up-to-date Lucid installed afresh from alpha 3.

When compiz is active, the Gnome alert sound for gnome-terminal is intercepted and never played. I'm not sure other applications suffer from this, but I would find it strange it this were specific to gnome-terminal.

Detailed steps to reproduce:
- Check that the alert sound is enabled and audible:
  - Click on the volume indicator in the panel and choose "Sound preferences..."
  - Go to the "Sound effects" tab
  - Set the alert volume slider to a nonzero value
  - Make sure the master volume is also at a nonzero value
  - Check sound can be heard by clicking on one of the unselected alert sounds in the list
  - Close "Sound preferences" window
- Press Alt-F2, enter "gnome-terminal" and press enter
- Make sure the "Terminal bell" is enabled:
  - Right-click on the terminal background, and select "Profiles" > "Profile preferences"
  - Make sure "Terminal bell" is checked
  - Close "Profile preferences" window
- With compiz enabled, focus the terminal and hit backspace. No sound is played
- Press Alt-F2, enter "metacity --replace" and press enter
- Go back to the open terminal and hit backspace. The alert sound is played

The above behaviour occurs regardless of whether the gconf key /apps/compiz/general/allscreens/options/audible_bell is set or not. Moreover, if one sets a visual effect to represent the bell (blur, water, wobbly, ...), it is displayed. So the bell is being sent, compiz is receiving it, but it never passes it to the relevant bit of the desktop that is supposed to play the sound. Metacity does.

ProblemType: Bug
Architecture: amd64
CompizPlugins: [core,ccp,move,resize,place,decoration,session,commands,put,gnomecompat,dbus,png,workarounds,resizeinfo,regex,imgjpeg,text,mousepoll,svg,thumbnail,annotate,wall,animation,blur,wobbly,expo,scale,ezoom,obs,staticswitcher,scaleaddon,bench]
Date: Thu Mar 11 21:44:56 2010
DistroRelease: Ubuntu 10.04
InstallationMedia: Ubuntu 10.04 "Lucid Lynx" - Alpha amd64 (20100224.1)
MachineType: Hewlett-Packard HP Compaq dc5750 Microtower
NonfreeKernelModules: nvidia
Package: compiz 1:0.8.4-0ubuntu13
PackageArchitecture: all
PciDisplay: 02:00.0 VGA compatible controller [0300]: nVidia Corporation G94 [GeForce 9600 GT] [10de:0622] (rev a1)
ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.31-10-rt root=UUID=318b5b88-1168-482d-9758-22d2940f076b ro quiet splash
ProcEnviron:
 PATH=(custom, user)
 LANG=en_GB.utf8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.31-10.153-rt
RelatedPackageVersions:
 xserver-xorg 1:7.5+3ubuntu1
 libgl1-mesa-glx 7.7-4ubuntu1
 libdrm2 2.4.18-1ubuntu2
 xserver-xorg-video-intel 2:2.9.1-1ubuntu12
 xserver-xorg-video-ati 1:6.12.191-1ubuntu1
SourcePackage: compiz
Uname: Linux 2.6.31-10-rt x86_64
dmi.bios.date: 08/07/2008
dmi.bios.vendor: Hewlett-Packard
dmi.bios.version: 786E3 v02.35
dmi.board.name: 0A64h
dmi.board.vendor: Hewlett-Packard
dmi.chassis.asset.tag: CZC7011NMX
dmi.chassis.type: 6
dmi.chassis.vendor: Hewlett-Packard
dmi.modalias: dmi:bvnHewlett-Packard:bvr786E3v02.35:bd08/07/2008:svnHewlett-Packard:pnHPCompaqdc5750Microtower:pvr:rvnHewlett-Packard:rn0A64h:rvr:cvnHewlett-Packard:ct6:cvr:
dmi.product.name: HP Compaq dc5750 Microtower
dmi.sys.vendor: Hewlett-Packard
glxinfo: Error: [Errno 2] No such file or directory
system: distro = Ubuntu, architecture = x86_64, kernel = 2.6.31-10-rt

Revision history for this message
pablomme (pablomme) wrote :
Revision history for this message
Blackbird (dennymallow) wrote :

I casually found this bug looking for another one, and I noticed that this alsa affects me.

Revision history for this message
BAndy (apb-deactivatedaccount) wrote :

I had this problem but I seem to have fixed it by doing the following:

1) removed the blacklisted pc speaker module from the /etc/modprobe.d/blacklist.conf file by commenting out the line
#blacklist pcspkr.

Then after a reboot (though I guess "sudo modprobe pcspkr" would work),

2) opened the CompizConfig Setttings Manager, then entered the "General Options" section, then disabled and re-enabled the "audible bell" setting.

The terminal bell then worked...

Revision history for this message
Joshua O'Leary (jmoleary) wrote :

I've tried "Andy B's" suggestion but instead of a pulseaudio bell, it makes an annoying pc speaker one instead.

Revision history for this message
Joshua O'Leary (jmoleary) wrote :

This bug is still present in Maverick Meerkat (Ubuntu 10.10).

Changed in compiz (Ubuntu):
status: New → Confirmed
Revision history for this message
Sam Spilsbury (smspillaz) wrote :

This is the intended behaviour.

Go into ccsm and make sure "audible bell" is checked under general options

Revision history for this message
Sam Spilsbury (smspillaz) wrote :

hmm actually I see what you mean. looking into it

tags: added: compiz-0.8
Revision history for this message
Dylan McCall (dylanmccall) wrote :

It appears the Audible Bell is plain not working with a default Ubuntu setup, which has that option enabled and the system speaker muted (because the year is 2011).

The Visual Bell (via Fading Windows plugin?) works, so apparently Compiz is intercepting it. It should generate an event sound via libcanberra, as Metacity does, and that is not happening.
(For reference, Metacity does this in its ./src/core/bell.c, under the function meta_bell_notify)

Revision history for this message
Daniel Ellis (danellisuk) wrote :

This bug is still an issue on Ubuntu 11.04 beta2, and so far cannot find a workaround without resorting to disabling compiz. I.e. logging in using "Ubuntu Classic (No effects)".

Revision history for this message
Robert Schroll (rschroll) wrote :

I just filed bug #769314, which I believe addresses the same problems. See that bug for the full details, but the short version is:

- gnome-volume-control assumes Metacity is controlling the system bell. When Compiz is running, it does nothing.

- Pulse Audio could produce a sound for system bell events, via module-x11-bell, but it is misconfigured.

- The PC speaker is blocked by the blacklisting of pcspkr, the X bell volume being 0, and module-x11-bell being loaded.

IMHO, Compiz is doing the right thing by not handling the system bell. These other components should be fixed and made to work together, and the system bell would be window-manager-agnostic.

Revision history for this message
Sam Spilsbury (smspillaz) wrote : Re: [Compiz] [Bug 537703] Re: Compiz intercepts alert sound from gnome-terminal

On Sat, Apr 23, 2011 at 11:39 AM, Robert Schroll <email address hidden> wrote:
> I just filed bug #769314, which I believe addresses the same problems.
> See that bug for the full details, but the short version is:
>
> - gnome-volume-control assumes Metacity is controlling the system bell.
> When Compiz is running, it does nothing.
>
> - Pulse Audio could produce a sound for system bell events, via
> module-x11-bell, but it is misconfigured.
>
> - The PC speaker is blocked by the blacklisting of pcspkr, the X bell
> volume being 0, and module-x11-bell being loaded.
>
> IMHO, Compiz is doing the right thing by not handling the system bell.
> These other components should be fixed and made to work together, and
> the system bell would be window-manager-agnostic.

I see three options here:

1) Stick bell handling into the toolkit (probably the best option,
since GTK already emits some sounds through libcanberra anyways, but
this will lead to some inconsistent sounds with GTK and QT apps unless
QT uses the gnome sound theme)
2) Stick all sound handling into the window manager. Compiz already
handles the X11 bell, so this is fairly easy to do (plus we can handle
other window management sounds)
3) Create another daemon to monitor the X bell and play a sound when a
bell event happens (please no)

>
> --
> You received this bug notification because you are a member of compiz
> packagers, which is subscribed to compiz in Ubuntu.
> https://bugs.launchpad.net/bugs/537703
>
> Title:
>  Compiz intercepts alert sound from gnome-terminal
>
> _______________________________________________
> Mailing list: https://launchpad.net/~compiz
> Post to     : <email address hidden>
> Unsubscribe : https://launchpad.net/~compiz
> More help   : https://help.launchpad.net/ListHelp
>

--
Sam Spilsbury

Revision history for this message
David Barth (dbarth) wrote :

Only security issues are now being considered for this release of Compiz (0.8).

Changed in compiz (Ubuntu):
status: Confirmed → Expired
Revision history for this message
Taylor Braun-Jones (nocnokneo) wrote :

Why exactly is this bug being dropped? Is there a time limit for bugs after which we just throw up our hands and give up?

Revision history for this message
pablomme (pablomme) wrote :

I think David refers to oneiric only, but he should have set the oneiric Launchpad task to "expired" (or "won't fix"), rather than expiring the whole compiz task.

Revision history for this message
Taylor Braun-Jones (nocnokneo) wrote :

@pablomme: that makes sense but I can't figure out how to fix change it. how do a set different statuses for specific Ubuntu releases?

Revision history for this message
pablomme (pablomme) wrote :

I did it once, but Launchpad doesn't present the option clearly..

Changed in compiz:
status: New → Confirmed
Revision history for this message
pablomme (pablomme) wrote :

Ok, that's the closest I seem to be able to get.

Revision history for this message
Miguel Branco (mpbbranco) wrote :

Still present in 12.04 beta 2

Revision history for this message
Daemon (k-daemonicapathy) wrote :

Still present in Ubuntu 12.04 64-bit release.

Changed in compiz (Ubuntu):
status: Expired → Confirmed
Revision history for this message
richud (richud.com) wrote :

annoying especially as it has been a bug for years.
want ping -a to make a noise!!

Changed in compiz:
milestone: none → 0.9.8.2
importance: Undecided → Medium
Changed in compiz:
milestone: 0.9.8.2 → 0.9.8.4
Changed in compiz:
milestone: 0.9.8.4 → 0.9.9.0
Changed in compiz:
milestone: 0.9.9.0 → 0.9.9.2
Changed in compiz:
milestone: 0.9.9.2 → 0.9.10.0
Changed in compiz:
milestone: 0.9.10.0 → 0.9.10.2
MC Return (mc-return)
Changed in compiz:
milestone: 0.9.10.2 → 0.9.11.0
Revision history for this message
skipx (bartok) wrote :

Wow, old bug, can it not be solved soon please?

Revision history for this message
skipx (bartok) wrote :

Ubuntu 13.04 same bug..

Revision history for this message
Johan Boule (johan-boule) wrote :

Ubuntu 13.04 same bug..

Revision history for this message
Charles Bos (charlesbos1) wrote :

Hello all. This bug is still present in Compiz 0.9.11.

I did come across a workaround if you're using pulseaudio which worked for me.

Append these two lines:

load-sample-lazy bell /usr/share/sounds/freedesktop/stereo/bell.oga
load-module module-x11-bell sample=bell

To your /etc/pulse/default.pa file and then restart pulseaudio, It restores the system bell for me.

Revision history for this message
mhogerheijde (o-launchpad-hogerheijde-net) wrote :

This workaround works for me too! (That means that I have this issue as well)

$ compiz --version
Compiz 0.9.11.2

$ lsb_release -a
LSB Version: [snip]
Distributor ID: Ubuntu
Description: Ubuntu 14.04.1 LTS
Release: 14.04
Codename: trusty

Strange thing is, that this workaround not only fixed the terminal bell, but also sounds I didn't know about!
 - Sound played on login
 - Notification-sounds from "workrave" (tool that tells you to take a micro-break)
 - Skype notifications-sounds (Skype itself did work, but the pop-ups about ppl going on-/offline work too now)

Revision history for this message
Pieter Engelbrecht (chesedo) wrote :

The workaround works in both Ubuntu 14.04 and 14.10 for me.

tags: added: trusty vivid
Revision history for this message
Lonnie Lee Best (launchpad-startport) wrote :

This work around (the two lines added to that pulse file) should be a default in Ubuntu. Maybe this workaround is the fix that should be implemented?

Changed in compiz (Ubuntu):
importance: Undecided → Medium
Revision history for this message
Eleni Maria Stea (hikiko) wrote :

Thank you for taking the time to report this bug. The compiz program that we currently use in Ubuntu is a C++ re-write of the original compiz and was announced the 4th July 2010. Therefore, the bugs that were reported before that date, will be marked as "Won't Fix" as they probably exist in the original program which is not stored in launchpad. All the supported Ubuntu releases use the C++ version of compiz since April 2015.

Changed in compiz:
status: Confirmed → Won't Fix
Changed in compiz (Ubuntu):
status: Confirmed → Won't Fix
Revision history for this message
Charles Bos (charlesbos1) wrote :

I'm really don't want to be rude and I'm sorry if I cause any offence but this is not a good policy. This bug was indeed reported against Compiz 0.8 but there's ample evidence in this thread that the bug still exists in Compiz 0.9. Valid bug reports shouldn't be closed because they're old.

Revision history for this message
angus73 (angus73) wrote :

I agree with comment #29. So, should we open a new bug against compiz 0.9.12.1 and Ubuntu 15.04 (my current setup, affected by this bug)?

Revision history for this message
Charles Bos (charlesbos1) wrote :

I don't see why not. Now that this has been marked as wontfix, I don't think it will get any further attention. If Compiz upstream wants duplicate bug reports, simply because the original report happened to be filed against Compiz 0.8, I guess that's their business...

To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Other bug subscribers